## gtk-qt-engine 0.8~svn

=== CMakeLists.txt ===
PROJECT (gtk-qt-engine)
INCLUDE (UsePkgConfig)

# Find KDE
FIND_PACKAGE(KDE3 REQUIRED)

# Find Qt
FIND_PACKAGE(Qt3 REQUIRED)
MESSAGE(STATUS "Found Qt library: ${QT_QT_LIBRARY}")

# Find GTK
PKGCONFIG(gtk+-2.0 GTK_INCLUDE_DIR GTK_LIB_DIR GTK_LINK_FLAGS GTK_CFLAGS)
IF (NOT GTK_INCLUDE_DIR)
	MESSAGE(FATAL_ERROR "GTK was not found.  Ensure you have the GTK development libraries installed, and GTK's pkgconfig files are in your pkgconfig search path.")
ENDIF (NOT GTK_INCLUDE_DIR)
MESSAGE(STATUS "Found GTK include dir: ${GTK_INCLUDE_DIR}")
MESSAGE(STATUS "Found GTK library dir: ${GTK_LIB_DIR}")

# Find Bonobo
PKGCONFIG(libbonoboui-2.0 BONOBO_INCLUDE_DIR BONOBO_LIB_DIR BONOBO_LINK_FLAGS BONOBO_CFLAGS)
IF (NOT BONOBO_INCLUDE_DIR)
	MESSAGE(STATUS "bonobo not found.  Some features of the theme engine will not work as intended.")
ELSE (NOT BONOBO_INCLUDE_DIR)
	MESSAGE(STATUS "Found Bonobo include dir: ${BONOBO_INCLUDE_DIR}")
	MESSAGE(STATUS "Found Bonobo library dir: ${BONOBO_LIB_DIR}")
	SET(BONOBO_DEFINITIONS -D HAVE_BONOBO)
ENDIF (NOT BONOBO_INCLUDE_DIR)

# Find msgfmt
SET(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/CMake/Modules)
FIND_PACKAGE(Msgfmt REQUIRED)

# Find xgettext
FIND_PROGRAM(
	XGETTEXT_PATH
	NAMES "xgettext"
	PATHS "/usr/bin"
)
IF(${XGETTEXT_PATH} STREQUAL "XGETTEXT_PATH-NOTFOUND")
	MESSAGE(STATUS "xgettext not found.  You will not be able to run 'make extract_messages' in the 'po' directory.")
ELSE(${XGETTEXT_PATH} STREQUAL "XGETTEXT_PATH-NOTFOUND")
	MESSAGE(STATUS "Found xgettext: ${XGETTEXT_PATH}")
ENDIF(${XGETTEXT_PATH} STREQUAL "XGETTEXT_PATH-NOTFOUND")

# Find extractrc
FIND_PROGRAM(
	EXTRACTRC_PATH
	NAMES "extractrc"
	PATHS "/usr/bin"
)
IF(${EXTRACTRC_PATH} STREQUAL "EXTRACTRC_PATH-NOTFOUND")
	MESSAGE(STATUS "extractrc not found.  You will not be able to run 'make extract_messages' in the 'po' directory.")
ELSE(${EXTRACTRC_PATH} STREQUAL "EXTRACTRC_PATH-NOTFOUND")
	MESSAGE(STATUS "Found extractrc: ${EXTRACTRC_PATH}")
ENDIF(${EXTRACTRC_PATH} STREQUAL "EXTRACTRC_PATH-NOTFOUND")

# Work out where to install stuff
EXEC_PROGRAM(
	${PKGCONFIG_EXECUTABLE}
	ARGS --variable=gtk_binary_version gtk+-2.0
	OUTPUT_VARIABLE GTK_VERSION)
SET(INSTALL_PATH_GTK_ENGINES "${GTK_LIB_DIR}/gtk-2.0/${GTK_VERSION}/engines" CACHE PATH "The directory in which to install the theme engine library (eg. /usr/lib/gtk-2.0/2.4.0/engines)")
MESSAGE(STATUS "Installing the GTK theme engine library to: ${INSTALL_PATH_GTK_ENGINES}")

EXEC_PROGRAM(
	${PKGCONFIG_EXECUTABLE}
	ARGS --variable=prefix gtk+-2.0
	OUTPUT_VARIABLE GTK_PREFIX)
SET(INSTALL_PATH_GTK_THEMES "${GTK_PREFIX}/share/themes" CACHE PATH "The directory in which to install the theme data (eg. /usr/share/themes)")
MESSAGE(STATUS "Installing the GTK theme engine data to: ${INSTALL_PATH_GTK_THEMES}")

SET(INSTALL_PATH_KCONTROL_MODULES "${KDE3_LIB_DIR}" CACHE PATH "The directory in which to install KControl plugins (eg. /usr/lib)")
MESSAGE(STATUS "Installing the KControl plugins to: ${INSTALL_PATH_KCONTROL_MODULES}")

MESSAGE(STATUS "Installing everything else to: ${CMAKE_INSTALL_PREFIX}")

# Setup definitions and directories to be used in all subdirectories
ADD_DEFINITIONS(${QT_DEFINITIONS} ${KDE3_DEFINITIONS} ${BONOBO_DEFINITIONS})
LINK_DIRECTORIES(${KDE3_LIB_DIR} ${GTK_LIB_DIR} ${BONOBO_LIB_DIR})
INCLUDE_DIRECTORIES(${KDE3_INCLUDE_DIRS} ${GTK_INCLUDE_DIR} ${BONOBO_INCLUDE_DIR})

# Subdirectories
ADD_SUBDIRECTORY(src)
ADD_SUBDIRECTORY(kcm_gtk)
ADD_SUBDIRECTORY(po)

# Uninstall support
CONFIGURE_FILE(
  "${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
  IMMEDIATE @ONLY)

ADD_CUSTOM_TARGET(uninstall
  "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")

=== po/CMakeLists.txt ===
# .po to .gmo stuff
FILE(GLOB _pofiles *.po)

FOREACH(_file ${_pofiles})
	GET_FILENAME_COMPONENT(_file_we ${_file} NAME_WE)
	SET(_out "${_file_we}.gmo")
	SET(_in "${_file_we}.po")
	
	ADD_CUSTOM_COMMAND(
		OUTPUT ${_out}
		COMMAND ${MSGFMT_EXECUTABLE} -o ${_out} ${_in}
		DEPENDS ${_in}
	)
	
	INSTALL(
		FILES ${_file}
		DESTINATION share/locale/${_file_we}/LC_MESSAGES/
		RENAME gtkqtengine.mo
	)
	
	SET(_outputs ${_outputs} ${_out})
ENDFOREACH(_file)

ADD_CUSTOM_TARGET(
	pofiles ALL
	DEPENDS ${_outputs}
)


# Stuff to generate the .pot
FILE(GLOB POT_UIFILES ../kcm_gtk/*.ui)
SET(POT_SOURCES ../kcm_gtk/kcmgtk.cpp)
SET(POT_OUTPUT gtkqtengine.pot)

ADD_CUSTOM_COMMAND(
	OUTPUT _${POT_OUTPUT}
	COMMAND ${EXTRACTRC_PATH} ${POT_UIFILES} > rc.cpp
	COMMAND ${XGETTEXT_PATH} --foreign-user -C -ci18n -ki18n -ktr2i18n -kI18N_NOOP -kI18N_NOOP2 -kaliasLocale -x "${KDE3_INCLUDE_DIR}/kde.pot" -o ${POT_OUTPUT} rc.cpp ${POT_SOURCES}
	COMMAND rm rc.cpp
)

ADD_CUSTOM_TARGET(
	extract_messages
	DEPENDS _${POT_OUTPUT}
)

## gtk-qt-engine 0.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -19,7 +19,7 @@
 # Find Bonobo
 PKGCONFIG(libbonoboui-2.0 BONOBO_INCLUDE_DIR BONOBO_LIB_DIR BONOBO_LINK_FLAGS BONOBO_CFLAGS)
 IF (NOT BONOBO_INCLUDE_DIR)
-	MESSAGE(STATUS "bonobo not found.  Some features of the theme engine will not work as intended.")
+	MESSAGE(STATUS "bonoboui not found.  Some features of the theme engine will not work as intended.")
 ELSE (NOT BONOBO_INCLUDE_DIR)
 	MESSAGE(STATUS "Found Bonobo include dir: ${BONOBO_INCLUDE_DIR}")
 	MESSAGE(STATUS "Found Bonobo library dir: ${BONOBO_LIB_DIR}")

=== po/CMakeLists.txt ===
--- 
+++ 
@@ -13,7 +13,7 @@
 	)
 	
 	INSTALL(
-		FILES ${_file}
+		FILES ${_out}
 		DESTINATION share/locale/${_file_we}/LC_MESSAGES/
 		RENAME gtkqtengine.mo
 	)

=== src/CMakeLists.txt ===
# Sources
SET(GTK-QT-SOURCES
	qt_main.c
	qt_qt_wrapper.cpp
	qt_rc_style.c
	qt_theme_draw.c)

ADD_LIBRARY(qtengine SHARED ${GTK-QT-SOURCES})

# Add GTK's cflags
SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${GTK_CFLAGS} ${BONOBO_CFLAGS}")
SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${GTK_CFLAGS} ${BONOBO_CFLAGS}")

TARGET_LINK_LIBRARIES(qtengine ${GTK_LINK_FLAGS} ${QT_LIBRARIES} ${BONOBO_LINK_FLAGS})

INSTALL(
	TARGETS qtengine
	DESTINATION ${INSTALL_PATH_GTK_ENGINES}
	PERMISSIONS
		OWNER_READ OWNER_WRITE OWNER_EXECUTE
		GROUP_READ GROUP_EXECUTE
		WORLD_READ WORLD_EXECUTE
)

INSTALL(
	FILES gtkrc
	DESTINATION "${INSTALL_PATH_GTK_THEMES}/Qt/gtk-2.0"
)

## gtk-qt-engine 0.71~svn20070224

=== kcm_gtk/CMakeLists.txt ===
INCLUDE(KDE3Macros)
INCLUDE(GtkQt)

# Sources
SET(kcm_kcmgtk_SOURCES
	kcmgtk.cpp)

KDE3_AUTOMOC(${kcm_kcmgtk_SOURCES})

# UI files
SET(kcm_kcmgtk_UI
	kcmgtkwidget.ui
	mozillaprofile.ui
	emacsdetails.ui
	searchpaths.ui)

KDE3_ADD_UI_FILES(kcm_kcmgtk_SOURCES ${kcm_kcmgtk_UI})

GTKQT_KDE3_ADD_KPART(kcm_kcmgtk "${INSTALL_PATH_KCONTROL_MODULES}/kde3" ${kcm_kcmgtk_SOURCES})

INSTALL(
	TARGETS kcm_kcmgtk
	DESTINATION ${INSTALL_PATH_KCONTROL_MODULES}/kde3
)

INSTALL(
	FILES kcmgtk.desktop
	DESTINATION share/applications/
)

## gtk-qt-engine 1.1+svn5

=== kcm_gtk/CMakeLists.txt ===
# Sources
SET(kcm_gtk4_SOURCES
	kcmgtk.cpp
	gtkrcfile.cpp
	firefoxfix.cpp
	searchpaths.cpp
)

# UI files
SET(kcm_gtk4_UI
	kcmgtkwidget.ui
	searchpaths.ui
)

KDE4_ADD_UI_FILES(kcm_gtk4_SOURCES ${kcm_gtk4_UI})

KDE4_ADD_PLUGIN(kcm_gtk4 ${kcm_gtk4_SOURCES})

INCLUDE_DIRECTORIES(${KDE4_INCLUDE_DIR})
LINK_DIRECTORIES(${KDE4_LIB_DIR})

TARGET_LINK_LIBRARIES(kcm_gtk4 ${KDE4_KDECORE_LIBRARY} ${KDE4_KDEUI_LIBRARY} ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY})

INSTALL(
	TARGETS kcm_gtk4
	DESTINATION ${INSTALL_PATH_KCONTROL_MODULES}/kde4
)

INSTALL(
	FILES kcmgtk4.desktop
	DESTINATION ${XDG_APPS_INSTALL_DIR}
)

INSTALL(
	FILES kcmgtk.png
	DESTINATION ${ICON_INSTALL_DIR}
)

=== po/CMakeLists.txt ===
--- 
+++ 
@@ -29,13 +29,14 @@
 
 # Stuff to generate the .pot
 FILE(GLOB POT_UIFILES ../kcm_gtk/*.ui)
-SET(POT_SOURCES ../kcm_gtk/kcmgtk.cpp)
+SET(POT_SOURCES ../kcm_gtk/kcmgtk.cpp ../kcm_gtk/firefoxfix.cpp ../kcm_gtk/gtkrcfile.cpp ../kcm_gtk/searchpaths.cpp)
 SET(POT_OUTPUT gtkqtengine.pot)
 
 ADD_CUSTOM_COMMAND(
 	OUTPUT _${POT_OUTPUT}
 	COMMAND ${EXTRACTRC_PATH} ${POT_UIFILES} > rc.cpp
-	COMMAND ${XGETTEXT_PATH} --foreign-user -C -ci18n -ki18n -ktr2i18n -kI18N_NOOP -kI18N_NOOP2 -kaliasLocale -x "${KDE3_INCLUDE_DIR}/kde.pot" -o ${POT_OUTPUT} rc.cpp ${POT_SOURCES}
+	COMMAND ${XGETTEXT_PATH} --foreign-user -C -ci18n -ki18n -ktr2i18n
+		-kI18N_NOOP -kI18N_NOOP2 -kaliasLocale -o ${POT_OUTPUT} rc.cpp ${POT_SOURCES}
 	COMMAND rm rc.cpp
 )

=== debian/changelog ===
gtk-qt-engine (1:1.1+svn5-4) unstable; urgency=low

  * Switch to dpkg-source 3.0 (quilt) format.
    - Remove README.source
    - Remove quilt build dependency.
  * Update debian/rules:
    - Remove quilt addon.
    - Use kde sequence addon (Closes: #574318).
    - Enable parallel build (pass --paralle option to dh).
  * Update debian/control:
    - Bump build dependencies (debhelper and pkg-kde-tools).
    - Bump Standards to 3.8.4 (no changes needed).

 -- Didier Raboud <didier@raboud.com>  Thu, 18 Mar 2010 12:02:18 +0100

gtk-qt-engine (1:1.1+svn5-3) unstable; urgency=low

  * debian/patches:
    - 01_fix_out_of_tree_build.patch - Update to change the translations
        filenames from gtkqtengine.mo to kcmgtk4.mo to make them work.
    - 07_point_to_package.patch - Indicate the Debian package and not the 
        upstream page in kcm_gtk.
    - 08_update_translations.patch - Update some translations.
        (Fat and dirty patch…)
  * Change binary package from system-config-gtk-kde to kde-config-gtk-style.

 -- Didier Raboud <didier@raboud.com>  Mon, 08 Feb 2010 16:26:28 +0100

gtk-qt-engine (1:1.1+svn5-2) unstable; urgency=low

  [ Didier Raboud ]

  * Add debian/patches:
    - 05_dont_set_userfont.patch to not set the user font (Closes: #512782).
    - 06_no_bonobo.patch to not compile against bonobo and get rid of the
      build-dependency (Closes: #541451).
  * Update debian/patches/*: Add DEP-3 headers.
  * Split the systemsettings configuration part and the style itself:
    - gtk-qt-engine holds the style, system-config-gtk-kde holds the
      configuration module.
    - Add .install file and adapt the debian/rules file.
  * Update debian/control:
    - Adjust build-depends on quilt and debhelper.
    - Bump Standards to 3.8.3 (add debian/README.source).
  * Update debian/copyright: add myself in 2009.

  [ Fathi Boudra ]

  * Cleanup debian/rules: dh has cmake support.
  * Update debian/control: add pkg-kde-tools (>= 0.4.11) build dependency.

 -- Didier Raboud <didier@raboud.com>  Fri, 21 Aug 2009 14:43:10 +0200

gtk-qt-engine (1:1.1+svn5-1) unstable; urgency=low

  * New svn repository (http://code.google.com/p/gtk-qt-engine)
    - Update upstream package to revision 5
      "Updated Norwegian Nynorsk translation by Karl Ove Hufthammer"

  [ Didier Raboud ]

  * Change source and binary name to gtk-qt-engine.
    - Bump epoch to 1 due to previous gtk-qt-engine being 1:0.8.
      (Closes: 480696)
    - Use the actual repository revision.
  * Update debian/control:
    - Add myself to Uploaders field.
    - Add Vcs-{Svn,Browser} fields.
  * Refactorize debian/rules:
    - Remove the custom debian/cdbs directory.
    - Add get-orig-source target.
  * Add 04_no_kde4_in_configfile.diff patch (Closes: 527340).

  [ Fathi Boudra ]

  * Bump Standard-Version to 3.8.2 (no changes needed).
  * Update debian/control: drop cdbs build dependency.
  * Update debian/copyright: update upstream url.

 -- Fathi Boudra <fabo@debian.org>  Thu, 25 Jun 2009 09:35:02 +0200

gtk-qt-engine-kde4 (1.1+svn145-2) unstable; urgency=low

  * Upload to Sid.
  * Bump compat/debhelper to 7.
  * Bump Standard-Version to 3.8.1.
  * Update upstream homepage.

 -- Fathi Boudra <fabo@debian.org>  Fri, 17 Apr 2009 20:27:27 +0200

gtk-qt-engine-kde4 (1.1+svn145-1) experimental; urgency=low

  [ Xavier Vello ]

  * New snapshot from svn rev 145. (Closes: #482457, #496860)
  * Add myself in Uploaders field.

 -- Fathi Boudra <fabo@debian.org>  Sun, 09 Nov 2008 10:52:51 +0100

gtk-qt-engine-kde4 (1.1-1) experimental; urgency=low

  * Initial release (Closes: #478846)
  * Add patch to disable engine with nspluginviewer.
  * Merge Kubuntu patches:
    * Out of source build isn't working due to problems in 2 CMakeLists.txt.
    * Installs the kcm desktop file in KDE 4's services directory, as it
      shouldn't show up in menus.

 -- Fathi Boudra <fabo@debian.org>  Thu, 01 May 2008 12:47:20 +0200

=== debian/control ===
Source: gtk-qt-engine
Section: kde
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>, Xavier Vello <xavier.vello@gmail.com>, Didier Raboud <didier@raboud.com>
Build-Depends: debhelper (>= 7.4.15), cmake, pkg-kde-tools (>= 0.6.4),
 kdelibs5-dev, libgtk2.0-dev
Standards-Version: 3.8.4
Homepage: http://code.google.com/p/gtk-qt-engine/
Vcs-Svn: svn://svn.debian.org/pkg-kde/kde-extras/gtk-qt-engine/trunk/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-kde/kde-extras/gtk-qt-engine/?op=log

Package: gtk-qt-engine
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: gtk-qt-engine-kde4
Replaces: gtk-qt-engine-kde4
Recommends: kde-config-gtk-style
Description: theme engine using Qt 4 for GTK+ 2.x
 The GTK-Qt Theme Engine (also known as gtk-qt-engine) is a GTK+ 2 theme engine
 that calls Qt 4 to do the actual drawing. This makes your GTK+ 2 applications
 look almost like real Qt 4 applications and gives you a more unified desktop
 experience.
 .
 This style can be configured within KDE4's systemsettings using package
 system-config-gtk-kde .

Package: kde-config-gtk-style
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: gtk-qt-engine-kde4, gtk-qt-engine (<< 1:1.1+svn5-2)
Replaces: gtk-qt-engine-kde4, gtk-qt-engine (<< 1:1.1+svn5-2), system-config-gtk-kde (<< 1:1.1+svn5-3)
Description: KDE configuration module for GTK+ 2.x style selection
 This package provides a way to configure GTK+ 2.x styles to be used in KDE 4
 within Systemsettings.
 .
 It provides the GTK+ KDE Configuration Module.

Package: system-config-gtk-kde
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, kde-config-gtk-style
Description: KDE configuration module for GTK+ 2.x (transitional dummy package)
 This is a transitional package for kde-config-gtk-style, and can be safely
 removed after the installation is complete.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_KDE_LINK_WITH_AS_NEEDED := yes

PACKAGE := gtk-qt-engine
SVN_REPOS := http://gtk-qt-engine.googlecode.com/svn/trunk/gtk-qt-engine/
SRC_VERSION := $(shell dpkg-parsechangelog | sed -ne 's/^Version: \(\([0-9]\+\):\)\?\(.*\)-.*/\3/p')
SVN_REVISION := $(shell echo $(SRC_VERSION) | sed -ne 's/^.*svn\([0-9]\+\)/\1/p' )
TARBALL := ../tarballs/$(PACKAGE)_$(SRC_VERSION).orig.tar.gz
TMPDIR := ../build-area/${PACKAGE}

%:
	dh --parallel --with kde $@

get-orig-source:
	rm -rf ${TMPDIR} $(TARBALL)
	mkdir ${TMPDIR}
	svn export -r $(SVN_REVISION) ${SVN_REPOS} \
	  ${TMPDIR}/$(PACKAGE)-$(SRC_VERSION).orig
	GZIP=--best tar czf $(TARBALL) -C ${TMPDIR} $(PACKAGE)-$(SRC_VERSION).orig
	rm -rf ${TMPDIR}

## gtk-qt-engine 1.1+svn20080816

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,9 @@
 PROJECT (gtk-qt-engine)
 INCLUDE (UsePkgConfig)
 
-# Find KDE
-FIND_PACKAGE(KDE3 REQUIRED)
-
-# Find Qt
-FIND_PACKAGE(Qt3 REQUIRED)
-MESSAGE(STATUS "Found Qt library: ${QT_QT_LIBRARY}")
+FIND_PACKAGE(X11 REQUIRED)
+FIND_PACKAGE(KDE4)
+FIND_PACKAGE(Qt4 REQUIRED)
 
 # Find GTK
 PKGCONFIG(gtk+-2.0 GTK_INCLUDE_DIR GTK_LIB_DIR GTK_LINK_FLAGS GTK_CFLAGS)
@@ -69,19 +66,27 @@
 SET(INSTALL_PATH_GTK_THEMES "${GTK_PREFIX}/share/themes" CACHE PATH "The directory in which to install the theme data (eg. /usr/share/themes)")
 MESSAGE(STATUS "Installing the GTK theme engine data to: ${INSTALL_PATH_GTK_THEMES}")
 
-SET(INSTALL_PATH_KCONTROL_MODULES "${KDE3_LIB_DIR}" CACHE PATH "The directory in which to install KControl plugins (eg. /usr/lib)")
+SET(INSTALL_PATH_KCONTROL_MODULES "${KDE4_LIB_DIR}" CACHE PATH "The directory in which to install KControl plugins (eg. /usr/lib)")
 MESSAGE(STATUS "Installing the KControl plugins to: ${INSTALL_PATH_KCONTROL_MODULES}")
 
 MESSAGE(STATUS "Installing everything else to: ${CMAKE_INSTALL_PREFIX}")
 
+IF(NOT DEFINED KDE4_FOUND)
+	MESSAGE(STATUS "WARNING: The KDE4 development package was not found.  The KDE Control Center module will not be built")
+ENDIF(NOT DEFINED KDE4_FOUND)
+
 # Setup definitions and directories to be used in all subdirectories
-ADD_DEFINITIONS(${QT_DEFINITIONS} ${KDE3_DEFINITIONS} ${BONOBO_DEFINITIONS})
-LINK_DIRECTORIES(${KDE3_LIB_DIR} ${GTK_LIB_DIR} ${BONOBO_LIB_DIR})
-INCLUDE_DIRECTORIES(${KDE3_INCLUDE_DIRS} ${GTK_INCLUDE_DIR} ${BONOBO_INCLUDE_DIR})
+ADD_DEFINITIONS(${QT_DEFINITIONS} ${BONOBO_DEFINITIONS} -DQT_NO_KEYWORDS)
+LINK_DIRECTORIES(${GTK_LIB_DIR} ${BONOBO_LIB_DIR} ${QT_LIBRARY_DIR})
+INCLUDE_DIRECTORIES(${GTK_INCLUDE_DIR} ${BONOBO_INCLUDE_DIR} ${QT_INCLUDES} ${X11_X11_INCLUDE_PATH})
 
 # Subdirectories
 ADD_SUBDIRECTORY(src)
-ADD_SUBDIRECTORY(kcm_gtk)
+
+IF (DEFINED KDE4_FOUND)
+	ADD_SUBDIRECTORY(kcm_gtk)
+ENDIF (DEFINED KDE4_FOUND)
+
 ADD_SUBDIRECTORY(po)
 
 # Uninstall support
